services:
  db:
    image: postgres:16
    restart: unless-stopped        
    security_opt:
      - no-new-privileges:true
    volumes:
        - ${DOCKERDIR}/${COMPOSE_PROJECT_NAME}/db:/var/lib/postgresql/data
    #ports:
    #    - "5432:5432"
    healthcheck:
      test: [ "CMD-SHELL", "pg_isready -U postgres" ]
      interval: 3s